<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnQuotChallanTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('quot_challan', function (Blueprint $table) {
            $table->bigInteger('tnc_id')->nullable()->unsigned();
            $table->foreign('tnc_id')->references('id')->on('terms_and_conditaions');
            $table->double('pay_to_transporter')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
